/*====================================+=====================================+
! File sc_dlgabout.h                  ! Copyright (C) 2018-2019 Remi PASCAL !
+-------------------------------------+-------------------------------------+
! This is free software: you can redistribute it and/or modify it under the !
! terms of the GNU General Public License as published by the Free Software !
! Foundation, either version 3 of the License, or any later version.        !
! This application is distributed in the hope that it will be useful, but   !
! WITHOUT ANY WARRANTY; without even the implied warranty of                !
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General !
! Public License for more details.                                          !
! You should have received a copy of the GNU General Public License along   !
! with this application. If not, see <http://www.gnu.org/licenses/>.        !
+==========================================================================*/



/*-------------------------------------------------------------------------*/
#pragma once
/*-------------------------------------------------------------------------*/
#include <wx/wx.h>
#include <wx/wrapsizer.h>
/*-------------------------------------------------------------------------*/



/*--( Scarabee Common )----------------------------------------------------*/
namespace sc
{
/*-------------------------------------------------------------------------*/
class CDlgAboutBase : public wxDialog
{
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      CDlgAboutBase( wxWindow *parent ) ;
      //~CDlgAboutBase() ;

   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      wxWrapSizer *m_wsz_credits = nullptr ;

   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      void add_credit_url( const wxString &s_label, const wxString &s_url ) ;
      void add_credit( const wxString &s_label ) ;
      void add_credit_wx() ;
      void add_credit_tango() ;
      void add_credit_libcurl() ;
      virtual void fill_credits() = 0 ;
      void build_ui() ;
      int get_modal() ;

   /*----------------------------------------------------------------------*/
} ;

/*-------------------------------------------------------------------------*/
} ; // namespace sc
/*-------------------------------------------------------------------------*/



/*==========================================================================+
!                         End of file sc_dlgabout.h                         !
+==========================================================================*/
